using System.Collections;
using System.Collections.Generic;


public interface EncryptionBasic<T>
{
    public abstract T Value { get; set; }
    public long Encryption(T v);
    public T Decrypt(long v);
    public void AddCallBack(System.Action<T> callBack);

    public void RemoveCallBack(System.Action<T> callBack);
}